Page MenuHomePhabricator

Add 'Retina' hi-dpi display support to Extension:Score
Closed, DeclinedPublic

Description

Per my notes on talk page https://www.mediawiki.org/wiki/Thread:Extension_talk:Score/Retina/high-density_display_support_needed:

Since SVG output isn't yet available, the simplest solution for high-resolution displays is to rasterize PNGs at 1.5x and 2.0x scale as well as the default, and include them in a 'srcset' attribute similar to how the wiki now handles inline images.

The appropriate-sized image will then be loaded by the browser (if it supports srcset directly) or our compat JavaScript.


Version: unspecified
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Extension_talk:Score/quick-test

Details

Reference
bz47523

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:28 AM
bzimport set Reference to bz47523.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Apr 22 2013, 10:26 PM

(In reply to comment #0)

Since SVG output isn't yet available, the simplest solution for
high-resolution
displays is to rasterize PNGs at 1.5x and 2.0x scale as well as the default,
and include them in a 'srcset' attribute similar to how the wiki now handles
inline images.

See bug 47578

(In reply to comment #0)

Svg output would be nice as it could solve all complaints about transparent
background (bug #47444) and rendering size (bug #47523).
It's as easy as
lilypond ... -dbackend=svg ...
and it's _not_ using ghostscript, which is a fantastic step towards world
peace.

Seems like a nicer fix :)

Related URL: https://gerrit.wikimedia.org/r/62313 (Gerrit Change I29938c7e28a581b6b20ba683d79b33f0bbf7a3ce)

https://gerrit.wikimedia.org/r/62313 (Gerrit Change I29938c7e28a581b6b20ba683d79b33f0bbf7a3ce) | change ABANDONED [by Brion VIBBER]

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:06 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:06 PM
Ebe123 closed this task as Declined.May 25 2018, 6:48 PM
Ebe123 added a subscriber: Ebe123.

SVG will be available through T49578. This wouldn't be necessary anymore with SVG.